Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.GroovyParserRuleContext

- org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

- All Implemented Interfaces and Traits:
    NodeMetaDataHandler

      public static class GroovyParser.GroovyParserRuleContext
      extends ParserRuleContext
      implements NodeMetaDataHandler

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ParserRuleContext` | `children, start, stop, exception, parent, invokingState`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyParserRuleContext ()`
    `GroovyParserRuleContext (ParserRuleContext parent, int invokingStateNumber)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Map<?, ?>` | `getMetaDataMap()`
    `` | `public void` | `setMetaDataMap(Map<?, ?> metaDataMap)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ParserRuleContext` | `getChildCount, getChild, getChild, getChild, copyFrom, enterRule, addAnyChild, addErrorNode, addErrorNode, exitRule, removeLastChild, getRuleContexts, toInfoString, getStart, getStop, getToken, emptyContext, getTokens, addChild, addChild, addChild, getSourceInterval, getRuleContext, getParent, getParent, getParent, getParent, getParent, getChildContext, getRuleIndex, getAltNumber, setAltNumber, getPayload, getPayload, getText, toStringTree, toStringTree, toStringTree, getRuleContext, toString, toString, toString, toString, toString, isEmpty, depth, accept, setParent, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public GroovyParserRuleContext()

    - #### public GroovyParserRuleContext(ParserRuleContext parent, int invokingStateNumber)

  - ### Method Detail

    - #### @Override public Map<?, ?> getMetaDataMap()

    - #### @Override public void setMetaDataMap(Map<?, ?> metaDataMap)